
#include "../include/height_and_width.h"
#include "../include/file_path.h"
#include <oosxl.hxx>

#include <iostream>


using namespace oo;

void height_and_width()
{
    Document* doc = create_document();
    Workbook* wb = doc->get_workbook();
    Worksheet* ws = wb->add_worksheet("height and width");

    ws->set_custom_row_height(7, 7, 60);
    ws->set_custom_col_width(3, 3, 20);

    auto path = target_file("height and width.xlsx");
    if (!doc->save(path.string().c_str()))
        std::cout << "Error saving file: " << run_msg() << std::endl;

    doc->release();
}
